POST /webhook_params

Authorization Required
https://[your-subdomain].trackdrive.net/api/v1/webhook_params

Create Webhook Param.

Add a custom key/value parameter that will be sent with a specific outgoing webhook URL when it fires. The value can reference token values, which are resolved before the parameter is saved.

Params

Param name Description
outgoing_webhook_url_id
Optional Blank value allowed

Outgoing Webhook Url

key
Optional Blank value allowed

Key

  • Must be a String

value
Optional Blank value allowed

Value

  • Must be a String

buyer_conversion_id
Optional Blank value allowed

The Buyer Conversion webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

call_control_action_id
Optional Blank value allowed

The Call Control Action webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

inbound_webhook_id
Optional Blank value allowed

The Inbound Webhook this param belongs to, if it is not attached to an Outgoing Webhook URL.

zoho_crm_command_id
Optional Blank value allowed

The Zoho Action this param belongs to, if it is not attached to an Outgoing Webhook URL.

token_value_ids
Optional Blank value allowed

The Tokens whose data replaces this Webhook Param’s value tokens when the webhook fires.

record_token_filter_list
Optional Blank value allowed

Assign filters to the object by passing an array of key:value pairs

  • Must be a valid list of filters. Example filters:
    "interest:auto", "loan_amount:>=10000", "loan_amount:<=50000", "geo:!=800", "caller_id:!=anonymous"